/* class comment */!!

inherit(ProvidedLibs, #PvtestLib, nil, 2, nil)!!

now(class(PvtestLib))!!

/* semiPRIVATE -- should only be called via require(TclassLib)
   Define entry points and load library.  Define any structs required.
*/
Def provide(self, path)
{
  ^initialise( new(self:ancestor), path )
}!!

now(PvtestLib)!!

/* PRIVATE
   Define all entry points for library as prototypes.
*/
Def addImportProcs(self)
{
  add(self, #INITCSERVER,               1, #(0, 0));
}!!